---
title: Update device posture policy
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/device-posture/update-device-posture-policy/
product: CloudConnexa Docs
---

# Update device posture policy

`PUT /api/v1/device-postures/{id}`

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "userGroupsIds": [
    "string"
  ],
  "windows": {
    "allowed": true,
    "version": {
      "version": "string",
      "condition": "GTE"
    },
    "antiviruses": [
      "AVAST"
    ],
    "diskEncryption": {
      "type": "FULL_DISK",
      "volume": "string"
    },
    "certificate": "string"
  },
  "macos": {
    "allowed": true,
    "version": {
      "version": "string",
      "condition": "GTE"
    },
    "antiviruses": [
      "AVAST"
    ],
    "diskEncrypted": true,
    "certificate": "string"
  },
  "linux": {
    "allowed": true
  },
  "android": {
    "allowed": true
  },
  "ios": {
    "allowed": true
  }
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [DevicePostureRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/deviceposturerequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » userGroupsIds | body | \[string\] | false | none |
| » windows | body | [WindowsRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/windowsrequest.md) | false | none |
| »» allowed | body | boolean | false | none |
| »» version | body | [VersionPolicy](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/versionpolicy.md) | false | none |
| »»» version | body | string | false | none |
| »»» condition | body | string | false | none |
| »» antiviruses | body | \[string\] | false | none |
| »» diskEncryption | body | [DiskEncryption](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/diskencryption.md) | false | none |
| »»» type | body | string | false | none |
| »»» volume | body | string | false | none |
| »» certificate | body | string | false | none |
| » macos | body | [MacOSRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/macosrequest.md) | false | none |
| »» allowed | body | boolean | false | none |
| »» version | body | [VersionPolicy](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/versionpolicy.md) | false | none |
| »» antiviruses | body | \[string\] | false | none |
| »» diskEncrypted | body | boolean | false | none |
| »» certificate | body | string | false | none |
| » linux | body | [LinuxRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/linuxrequest.md) | false | none |
| »» allowed | body | boolean | false | none |
| » android | body | [AndroidRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/androidrequest.md) | false | none |
| »» allowed | body | boolean | false | none |
| » ios | body | [IOSRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/iosrequest.md) | false | none |
| »» allowed | body | boolean | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| »»» condition | GTE |
| »»» condition | LTE |
| »»» condition | EQUAL |
| »» antiviruses | AVAST |
| »» antiviruses | AVG |
| »» antiviruses | AVIRA |
| »» antiviruses | BITDEFENDER |
| »» antiviruses | CROWDSTRIKE\_FALCON |
| »» antiviruses | ESET |
| »» antiviruses | MALWAREBYTES |
| »» antiviruses | MCAFEE |
| »» antiviruses | MICROSOFT\_DEFENDER |
| »» antiviruses | NORTON |
| »» antiviruses | SENTINEL\_ONE |
| »»» type | FULL\_DISK |
| »»» type | SPECIFIC\_VOLUME |
| »» antiviruses | AVAST |
| »» antiviruses | AVG |
| »» antiviruses | AVIRA |
| »» antiviruses | BITDEFENDER |
| »» antiviruses | CROWDSTRIKE\_FALCON |
| »» antiviruses | ESET |
| »» antiviruses | MALWAREBYTES |
| »» antiviruses | MCAFEE |
| »» antiviruses | MICROSOFT\_DEFENDER |
| »» antiviruses | NORTON |
| »» antiviruses | SENTINEL\_ONE |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [DevicePostureResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/devicepostureresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get device posture policy](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/device-posture/get-device-posture-policy.md)
Next: [Delete device posture policy](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/device-posture/delete-device-posture-policy.md)
Index: https://openvpn.net/cloud-docs/llms.txt
